### Method

# Gtk TreeSelection get_selected_rows

#### Declaration [src]

    GList*
    gtk_tree_selection_get_selected_rows (
      GtkTreeSelection* selection,
      GtkTreeModel** model
    )

#### Description [src]

Creates a list of path of all selected rows. Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of `GtkTreeRowReference`s. To do this, you can use gtk_tree_row_reference_new().

To free the return value, use:

    g_list_free_full (list, (GDestroyNotify) gtk_tree_path_free);

#### Parameters

`model` | `GtkTreeModel`
| A pointer to set to the `GtkTreeModel`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | A list of `GtkTreePath`
| A `GList` containing a `GtkTreePath` for each selected row.
| The caller of the function takes ownership of the data, and is responsible for freeing it.